<?

$thisprog="setbadwords.php";
require("adminglobal.php");

if ($action!="process") {
	if (file_exists("datafile/badwords.php")) {
		include("datafile/badwords.php");
		while (list($key, $value) = each ($badwords)) {
			$echobadwords="$key=$value\n\r";
		}
	} else $echobadwords="";
print <<<EOT
  <tr><td bgcolor=#80809b colspan=2><font color=#FFFFFF>
  <b>欢迎来到论坛管理中心 / 不良词语过滤</b>
  </td></tr>
  <tr>
  <td bgcolor=#EEEEEE valign=middle align=center colspan=2>
  <font color=#333333><b>不良词语过滤</b>
  </td></tr>
               
  <form action="$thisprog" method="post">
  <input type=hidden name="action" value="process">
               
  <tr>
  <td bgcolor=#FFFFFF valign=middle colspan=2>
<b>功能说明：</b><br><br>
$tab_top
  <font color=#000000>
  不良词语过滤可以阻止一些不好的字眼出现在论坛中。你可以选择过滤的单词，和过滤后的单词。<br>
  这样，不良词语在<b>发表文章</b>时，或在用户查看、引用时，都不会被显示。<br>
  这意味着不良词语过滤是永久性的。当你增加一个新的过滤时，所有的文章都会被过滤交换。
$tab_bottom
  <br><br>
  <b>使用方法：</b><br><br>
$tab_top
输入一个要过滤的词语和过滤后的词语，并在中间加上 "=" (等于号)。<BR>
  <b>注意，每行只能写一个！</b><br><br>
  <b>例如：</b>damn=d**n<br>
  </font>
$tab_bottom
<br>
  </td>
  </tr>
  <tr>
  <td bgcolor=#FFFFFF valign=middle colspan=2>
<b>请输入过滤单词：</b><br><br>
<center>
  <textarea cols=60 rows=6 wrap="virtual" name="wordarray">$echobadwords</textarea>
</center>
  </td>
  </tr>
                
  <tr>
  <td bgcolor=#FFFFFF valign=middle align=center colspan=2>
  <input type=submit name=submit value="提 交"></form></td></tr></table></td></tr></table>
  </td></tr></table></body></html>
EOT;
exit;
}
elseif ($action=="process") {
	$badwords="<?\n";
	$wordarray=str_replace("\n","",$wordarray);
	$wordarray=explode("\r",$wordarray);
	$count=count($wordarray);
	for ($i=0; $i<$count; $i++) {
		list($key,$value)=explode("=",$wordarray[$i]);
		if (empty($key)) continue;
		$badwords.="\$badwords['$key']='$value';\n";
		$newbadwords[$key]=$value;
	}
	writetofile("datafile/badwords.php",$badwords);
  	print <<<EOT
  	<tr><td bgcolor=#80809b colspan=2><font face=宋体 color=#FFFFFF>
		<b>欢迎来到论坛管理中心</b>
		</td></tr>
		<tr>
		<td bgcolor=#FFFFFF valign=middle colspan=2>
		<font color=#333333><center><b>所有信息已经被成功保存。</b></center><br><br>
		<b>下列“不良词语”被保存！</b><br><br>
		$tab_top
EOT;
		while (list($key,$value) = each ($newbadwords)) {
			print ("所有出现 <b>$key</b> 的地方将被 <b>$value</b> 替换。<br>");
		}
		print "
			$tab_bottom
			<br><br><br><center><b><a href=setbadwords.php>增加更多过滤词语</a></b></center>
			</td></tr></table></body></html>
			";
	exit;
}